﻿using Infragistics.Windows.Controls;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        void DP_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            // method #1
            var origSource = (DependencyObject)e.OriginalSource;
            if (origSource.GetType() == typeof(CardPanel))
            {
                e.Handled = true;
            }


           // // Alternate method #2
           //DependencyObject dob = (DependencyObject)e.OriginalSource;
           //while( dob != null && dob.GetType() != typeof(DataRecordPresenter))
           //{
           //    if (dob is CellValuePresenter || dob is HeaderPresenter)
           //        return;
           //    dob = VisualTreeHelper.GetParent(dob);
           //}
           //e.Handled = true;

        }

        private void XamDataGrid_SelectedItemsChanging(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangingEventArgs e)
        {

        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            CategoryDataViewModel ds = (CategoryDataViewModel) XamDataGrid.DataContext;
            ds.CategoricalDatas.Add(new CategoryData("Item 1", -15.45, 10));
            ds.CategoricalDatas.Add(new CategoryData("Item 2", 12.47, 12));
            ds.CategoricalDatas.Add(new CategoryData("Item 3", -2, 5));
            ds.CategoricalDatas.Add(new CategoryData("Item 4", 11.055, 100));
            ds.CategoricalDatas.Add(new CategoryData("NewItem", 21.00, 43));
            ds.CategoricalDatas.Add(new CategoryData("Item", 2, 100));
            ds.CategoricalDatas.Add(new CategoryData("ABC", -15.45, 763));
            ds.CategoricalDatas.Add(new CategoryData("Category", 47.347, 27));
            ds.CategoricalDatas.Add(new CategoryData("1234", 11.23, 45));

            //CategoricalDatas.Add(new CategoryData("Item 1", -15.45, 10));
            //CategoricalDatas.Add(new CategoryData("Item 2", 12.47, 12));
            //CategoricalDatas.Add(new CategoryData("Item 3", -2, 5));
            //CategoricalDatas.Add(new CategoryData("Item 4", 11.055, 100));
            //CategoricalDatas.Add(new CategoryData("NewItem", 21.00, 43));
            //CategoricalDatas.Add(new CategoryData("Item", 2, 100));
            //CategoricalDatas.Add(new CategoryData("ABC", -15.45, 763));
            //CategoricalDatas.Add(new CategoryData("Category", 47.347, 27));
            //CategoricalDatas.Add(new CategoryData("1234", 11.23, 45));

            //CategoricalDatas.Add(new CategoryData("Item 1", -15.45, 10));
            //CategoricalDatas.Add(new CategoryData("Item 2", 12.47, 12));
            //CategoricalDatas.Add(new CategoryData("Item 3", -2, 5));
            //CategoricalDatas.Add(new CategoryData("Item 4", 11.055, 100));
            //CategoricalDatas.Add(new CategoryData("NewItem", 21.00, 43));
            //CategoricalDatas.Add(new CategoryData("Item", 2, 100));
            //CategoricalDatas.Add(new CategoryData("ABC", -15.45, 763));
            //CategoricalDatas.Add(new CategoryData("Category", 47.347, 27));
            //CategoricalDatas.Add(new CategoryData("1234", 11.23, 45));

            //CategoricalDatas.Add(new CategoryData("Item 1", -15.45, 10));
            //CategoricalDatas.Add(new CategoryData("Item 2", 12.47, 12));
            //CategoricalDatas.Add(new CategoryData("Item 3", -2, 5));
            //CategoricalDatas.Add(new CategoryData("Item 4", 11.055, 100));
            //CategoricalDatas.Add(new CategoryData("NewItem", 21.00, 43));
            //CategoricalDatas.Add(new CategoryData("Item", 2, 100));
            //CategoricalDatas.Add(new CategoryData("ABC", -15.45, 763));
            //CategoricalDatas.Add(new CategoryData("Category", 47.347, 27));
            //CategoricalDatas.Add(new CategoryData("1234", 11.23, 45));
        }
    }
}
